lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:	Sun, 07 Aug 2016 12:33:26 -0600
From:	Jorge Natz <jorgenatzdev@...il.com>
To:	mmarek@...e.com, linux-kernel@...r.kernel.org,
	arjan@...ux.intel.com
CC:	trivial@...nel.org
Subject: [PATCH] scripts: Translate profile2linkerlist.


profile2linkerlist.pl is a script that takes the sorted output of the 
readprofile command and turns it into a list of C functions in a 
format for linker lists. Make the script more portable across POSIX 
systems. This script does not use any shell-specific features, only 
POSIX ones. A POSIX shell is present on all UNIX systems, while Perl 
is not as commonplace.

Signed-off-by: Jorge Natz <jorgenatzdev@...il.com>
---
diff -uprN a/scripts/profile2linkerlist.pl b/scripts/profile2linkerlist.pl
--- a/scripts/profile2linkerlist.pl	2016-06-10 17:27:15.333317028 -0600
+++ b/scripts/profile2linkerlist.pl	1969-12-31 17:00:00.000000000 -0700
@@ -1,19 +0,0 @@
-#!/usr/bin/perl
-
-#
-# Takes a (sorted) output of readprofile and turns it into a list suitable for
-# linker scripts
-#
-# usage:
-#	 readprofile | sort -rn | perl profile2linkerlist.pl > functionlist
-#
-use strict;
-
-while (<>) {
-  my $line = $_;
-
-  $_ =~ /\W*[0-9]+\W*([a-zA-Z\_0-9]+)\W*[0-9]+/;
-
-  print "*(.text.$1)\n"
-      unless ($line =~ /unknown/) || ($line =~ /total/);
-}
diff -uprN a/scripts/profile2linkerlist.sh b/scripts/profile2linkerlist.sh
--- a/scripts/profile2linkerlist.sh	1969-12-31 17:00:00.000000000 -0700
+++ b/scripts/profile2linkerlist.sh	2016-03-24 17:26:58.044958415 -0600
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Takes a (sorted) output of readprofile and turns it into a list suitable for
+# linker scripts.
+#
+# usage:
+#         readprofile | sort -rn | ./profile2linkerlist.sh > functionlist
+
+# Exit on error
+set -e
+
+while read LINE; do
+	LINE=$( echo $LINE | sed -e s"/[0-9.][0-9.]*//" -e s"/[0-9.][0-9.]*$//" | xargs)
+	case $LINE in *unknown*|*total* ) continue
+	;;
+	esac
+	echo '*(.text.'$LINE')'
+done

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ